Get admin by ID¶
GET/
Partner API · Partner Admins
Get partner administrator details by ID.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Partner-ID | header | string (uuid) | Yes | Partner ID. |
adminId | path | string (uuid) | Yes | Partner administrator ID. |
Request samples¶
curl -X GET "https://api.central.sophos.com/partner/v1/admins/<adminId>" -H "Authorization: Bearer <access-token>" -H "X-Partner-ID: <partner-id>"
import requests
response = requests.get(
"https://api.central.sophos.com/partner/v1/admins/<adminId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Partner-ID": "<partner-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Partner-ID" = "<partner-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/partner/v1/admins/<adminId>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.central.sophos.com/partner/v1/admins/<adminId>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Partner-ID", "<partner-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.central.sophos.com/partner/v1/admins/<adminId>", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Partner-ID": "<partner-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Details of the requested partner administrator.¶
Response fields
idstring (uuid)requiredAdministrator ID.
usernamestring (email)requiredAdministrator username (email).
profileobjectrequiredProfile information for partner administrator.
Show child attributesHide child attributes
namestringrequiredFull name.
firstNamestringrequiredFirst name.
lastNamestringrequiredLast name.
phonestringPhone number.
mobilestringMobile phone number.
faxstringFax number.
activebooleanrequiredWhether the administrator is active.
primarybooleanrequiredWhether this is the primary administrator for the account.
roleAssignmentsarray of objectrequiredAdministrator's role assignments.
Role assignment.
Show child attributesHide child attributes
idstring (uuid)requiredRole assignment ID.
roleIdstring (uuid)requiredRole ID.
roleNamestringRole name.
scopeobjectrequiredRole assignment scope.
Show child attributesHide child attributes
typestringrequiredRole assignment scope type.
Must be one of:
Must be one of:
tenant, allManagedTenants, self, tenantGroup.idstring (uuid)Tenant ID. Optional or not present when
type is allManagedTenants or self.namestringTenant name. Optional or not present when
type is allManagedTenants or self.Errors¶
| Status | Meaning |
|---|---|
404 | Can't find admin. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"id": "00000000-0000-0000-0000-000000000000",
"username": "user@example.com",
"profile": {
"name": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"mobile": "string",
"fax": "string"
},
"active": true,
"primary": false,
"roleAssignments": [
{
"id": "00000000-0000-0000-0000-000000000000",
"roleId": "00000000-0000-0000-0000-000000000000",
"roleName": "string",
"scope": {
"type": "tenant",
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
}
}
]
}
See the guide for a narrative walkthrough of this API.